./misc/ansiweather, Display current weather conditions in your terminal

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.18.0nb1, Package name: ansiweather-1.18.0nb1, Maintainer: pkgsrc-users

AnsiWeather is a Shell script for displaying the current weather conditions in
your terminal, with support for ANSI colors and Unicode symbols.

Weather data comes from the `OpenWeatherMap` free weather API.

The default location of a configuration file can be overriden by the global
environment variable ANSIWEATHERRC.

Beware, if configuration file doesn't exists, the script queries a GeoIP API to
try to approximate user location, this service may be overloaded at time so the
application might appear stalled.


Required to run:
[www/curl] [devel/jq]

Required to build:
[pkgtools/cwrappers]

Master sites:

Filesize: 18.012 KB

Version history: (Expand)


CVS history: (Expand)


   2022-06-27 17:29:18 by Frederic Cambus | Files touched by this commit (41)
Log message:
*: drop maintainership for packages not related to toolchains and ELF.
   2022-06-18 20:34:59 by Frederic Cambus | Files touched by this commit (1)
Log message:
ansiweather: stop installing a global configuration file, it's unused.

Since revision 1.8, ansiweather wasn't patched anymore to read a global
configuration file.

One can argue there never really was any reason to patch the program as
a default location is displayed if no parameter is passed or if no user
configuration file is found.

See PR pkg/52026 for more details.
   2022-06-18 20:11:27 by Frederic Cambus | Files touched by this commit (1)
Log message:
ansiweather: remove SUBST directives, they are not run anymore.

They haven't been run since SUBST_STAGE.config was set to pre-configure
in revision 1.8, as NO_CONFIGURE is set to "yes". This accidentally
fixed PR pkg/52026.
   2021-10-26 12:59:39 by Nia Alarie | Files touched by this commit (378)
Log message:
misc: Replace RMD160 checksums with BLAKE2s checksums

All checksums have been double-checked against existing RMD160 and
SHA512 hashes

The following distfiles could not be fetched (possibly fetched
conditionally?):

./misc/libreoffice/distinfo libreoffice/harfbuzz-2.6.4.tar.xz
   2021-10-07 16:35:55 by Nia Alarie | Files touched by this commit (378)
Log message:
misc: Remove SHA1 hashes for distfiles
   2021-09-14 18:49:01 by Frederic Cambus | Files touched by this commit (2) | Package updated
Log message:
ansiweather: update to 1.18.0.

AnsiWeather 1.18.0 (2021-09-14)

- Update man page to add the -v option (Thanks Takayuki Hirota)
- Add support for displaying feels like temperature (Thanks Andrew Abdalian)
- Use command -v instead of which (Thanks er0k)
- Add SPDX short license identifier in source file
   2020-12-20 13:41:27 by Nia Alarie | Files touched by this commit (1)
Log message:
ansiweather: Use INSTALL_SCRIPT to avoid problems with stripping
   2020-06-16 11:21:58 by Frederic Cambus | Files touched by this commit (2) | Package updated
Log message:
ansiweather: update to 1.17.0.

AnsiWeather 1.17.0 (2020-06-16)

- Use cut instead of awk for parsing the config file, allowing to use the
  colon character as part of the config value (Thanks Niklas Lindgren)